// (C) Peter Schmitteckert
// Published under the Gnu Public License (GPL)
//

#include <iostream>
#include <stdlib.h>
#include "Sobol.h"

void Rand_Sobol( double& x, double& y)
{
  static sobol_state_t SobolState(2);

  double v[2];
  sobol_get(&SobolState, 2, v);
  x = v[0];
  y = v[1];
}


void Rand_1( double& x, double& y)
{
	x = double(rand()) / RAND_MAX;
	y = double(rand()) / RAND_MAX;
}

void Rand_2( double& x, double& y)
{
	x = drand48();
	y = drand48();
}

int main(int argc, char* argv[])
{
	int N = 25;
 	int nHit = 0;
	double x , y, r;

	if( argc >1 )
		N = atoi( argv[1] );

	cout.precision(12);
    for( int i = 0; i < N; ++i)
	{
		//Bestimmung der Zufallszahl
		Rand_1( x, y );

		cout << i << " " << x << '\t' << y << '\t' << endl;
	}

    return 0;
}